%define perlversion 5.10.0
Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		SDL_perl_2
Version:	2.1.3
Release:	6	
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.libsdl.org
Group:		System/Libraries
Source0:	SDL_Perl-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	SDL_perl provides multimedia programming support for perl.
Requires:	perl = 5.10.0
BuildRequires:	SDL_console-devel SDL_gfx-devel SDL_image-devel SDL_mixer-devel SDL_net-devel
BuildRequires:	SDL_ttf-devel libjpeg-devel libpng-devel smpeg-devel perl-Pod-ToDemo
BuildRequires:	perl = 5.10.0
BuildRequires:	perl-YAML

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
SDL_perl provides multimedia programming support for perl through
use of the Simple DirectMedia Layer http://www.libsdl.org
It provides both a high level, object orient develpment framework,
and a low level C style API.  SDL_perl supports a variety of
additional SDL libraries, such as SDL_image, SDL_mixer, SDL_ttf,
and SDL_net.
For more details see: http://www.libsdl.org

%post
ldconfig

%postun
ldconfig

%prep
%setup -n SDL_Perl-%{version}

%build
perl Build.PL
./Build destdir=%{buildroot}

%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
        rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# quick&dirty workaround to fix library location
mv %{buildroot}%_libdir/perl5/site_perl/%{perlversion}/i686-linux-thread-multi/auto/src/SDL* %{buildroot}%_libdir/perl5/site_perl/%{perlversion}/i686-linux-thread-multi/auto/
rm -rf %{buildroot}%_libdir/perl5/site_perl/%{perlversion}/i686-linux-thread-multi/auto/src
# end of workaround

find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-6
- rebuilt against SDL_gfx 2.0.17-1
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-5
- rebuilt against SDL 1.2.13
* Wed Jul 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-4
- rebuilt against SDL 1.2.11
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-3
- rebuilt against SDL 1.2.10
* Fri Dec 02 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.1.3-2
- Rebuild against perl-5.8.7, removed man package
* Fri Dec 02 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.1.3-1
- version update
* Thu May 06 2005 Christian Wasem <wasem@ccux-linux.de> 1.19.2-2
- rebuild for SDL_gfx
